DOMNode::C14N
DOMNode::cloneNode
DOMNode
PHP Manual

# DOMNode::C14NFile

(PHP 5 >= 5.2.0)

DOMNode::C14NFile — Canonicalize nodes to a file

### Description

public int DOMNode::C14NFile ( string `$uri` [, bool `$exclusive` [, bool `$with_comments` [, array `$xpath` [, array `$ns_prefixes` ]]]] )

Canonicalize nodes to a file.

### Parameters

`uri`

  Path to write the output to.

`exclusive`

  Enable exclusive parsing of only the nodes matched by the provided xpath or namespace prefixes.

`with_comments`

  Retain comments in output.

`xpath`

  An array of xpaths to filter the nodes by.

`ns_prefixes`

  An array of namespace prefixes to filter the nodes by.

### Return Values

Number of bytes written or `FALSE` on failure

### See Also

- DOMNode::C14N() - Canonicalize nodes to a string

DOMNode::C14N
DOMNode::cloneNode
DOMNode
PHP Manual